Draft Point/sv: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 6: Line 6:
====Beskrivning====
====Beskrivning====


The Point tool creates a simple point in the current [[Draft SelectPlane|work plane]], handy to serve as reference for placing other objects later. It takes the [[Draft Linestyle|color]] previously set on the Tasks tab.
The Point tool creates a simple point in the current [[Draft SelectPlane|work plane]], handy to serve as reference for placing lines, wires, or other objects later. It uses the [[Draft Linestyle]] (only the color) set on the [[Draft Tray]].


[[Image:Draft_point_example.jpg|400px]]
[[Image:Draft_point_example.jpg|400px]]
<div class="mw-translate-fuzzy">
[[Image:Draft_point_example.jpg|400px]]
</div>


==Bruk==
==Bruk==


# Press the {{KEY|[[Image:Draft Point.png|16px]] [[Draft Point]]}} button, or press {{KEY|P}} then {{KEY|T}} keys
# Press the {{KEY|[[Image:Draft Point.png|16px]] [[Draft Point]]}} button, or press {{KEY|P}} then {{KEY|T}} keys.
# Click a point on the 3D view, or type a [[Draft_Coordinates|coordinate]]
# Click a point on the 3D view, or type a [[Draft_Coordinates|coordinate]] and press the {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint|add point]]}} button.


==Options==
==Options==


* To enter coordinates manually, simply enter the numbers, then press {{KEY|ENTER}} between each X, Y and Z component.
* To enter coordinates manually, simply enter the numbers, then press {{KEY|Enter}} between each X, Y and Z component. You can press the {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint|add point]]}} button when you have the desired values to insert the point.
* Press {{KEY|T}} or click the checkbox to toggle ''continue'' mode. If continue mode is on, the point tool will restart after you place a point, allowing you to place another one without pressing the tool button again.
* Press {{KEY|ESC}} or the {{KEY|'''Cancel'''}} button to abort the current Line command.
* Press {{KEY|Esc}} or the {{Button|Close}} button to abort the current command.


==Properties==
==Properties==


* {{PropertyData|X}}: The X coordinate of the point
* {{PropertyData|X}}: the X coordinate of the point.
* {{PropertyData|Y}}: The Y coordinate of the point
* {{PropertyData|Y}}: the Y coordinate of the point.
* {{PropertyData|Z}}: The Z coordinate of the point
* {{PropertyData|Z}}: the Z coordinate of the point.


<div class="mw-translate-fuzzy">
==Skript==
==Skript==
</div>


The Point tool can by used in [[macros]] and from the python console by using the following function:
The Point tool can be used in [[macros]] and from the [[Python]] console by using the following function:
{{Code|code=
{{Code|code=
Point = makePoint(X=0, Y=0, Z=0, color=None, name="Point", point_size=5)
makePoint([x],[y],[z])
Point = makePoint(point, Y=0, Z=0, color=None, name="Point", point_size=5)
}}
}}

* makes a point at the given coordinates. If no X, Y and Z coordinates are given, the point is created at (0,0,0). Returns the newly created object.
* Creates a {{incode|Point}} object in the specified {{incode|X}}, {{incode|Y}} and {{incode|Z}} coordinates, with units in millimeters. If no coordinates are given the point is created at the origin (0,0,0).
** If {{incode|X}} is a {{incode|point}} defined by a {{incode|FreeCAD.Vector}}, it is used.
* {{incode|color}} is a tuple {{incode|(R, G, B)}} that indicates the color of the point in the RGB scale; each value in the tuple should be in the range from {{incode|0}} to {{incode|1}}.
* {{incode|name}} is the name of the object.
* {{incode|point_size}} is the size of the object in pixels, if the graphical user interface is loaded.


Example:
Example:
{{Code|code=
{{Code|code=
import Draft
import random, FreeCAD, Draft

Draft.makePoint(6,4,2)
Point1 = Draft.makePoint(1600, 1400, 0)

p2 = FreeCAD.Vector(-3200, 1800, 0)
Point2 = Draft.makePoint(p2, color=(0.5, 0.3, 0.6), point_size=10)

# Make a loop and create ten points with random coordinates that extend
# from -L to L on both X and Y. Also choose a random color and size.

# Change value to define the area covered by the points
L = 1000
centered = FreeCAD.Placement(FreeCAD.Vector(-L,-L,0), FreeCAD.Rotation())
Rectangle = Draft.makeRectangle(2*L, 2*L, placement=centered)

for i in range(10):
x = 2*L*random.random() - L
y = 2*L*random.random() - L
z = 0
r = random.random()
g = random.random()
b = random.random()
size = 15*random.random() + 5
Draft.makePoint(x, y, z, color=(r, g, b), point_size=size)
}}
}}


{{Draft Tools navi}}
{{Userdocnavi}}
{{clear}}
{{clear}}

Revision as of 12:55, 8 January 2019

Draft Point

Menyplacering
Draft -> Point
Arbetsbänkar
Draft, Arch
Standard genväg
P T
Introducerad i version
-
Se även
Ingen

Beskrivning

The Point tool creates a simple point in the current work plane, handy to serve as reference for placing lines, wires, or other objects later. It uses the Draft Linestyle (only the color) set on the Draft Tray.

Bruk

  1. Press the Draft Point button, or press P then T keys.
  2. Click a point on the 3D view, or type a coordinate and press the add point button.

Options

  • To enter coordinates manually, simply enter the numbers, then press Enter between each X, Y and Z component. You can press the add point button when you have the desired values to insert the point.
  • Press T or click the checkbox to toggle continue mode. If continue mode is on, the point tool will restart after you place a point, allowing you to place another one without pressing the tool button again.
  • Press Esc or the Close button to abort the current command.

Properties

  • DataX: the X coordinate of the point.
  • DataY: the Y coordinate of the point.
  • DataZ: the Z coordinate of the point.

Skript

The Point tool can be used in macros and from the Python console by using the following function:

Point = makePoint(X=0, Y=0, Z=0, color=None, name="Point", point_size=5)
Point = makePoint(point, Y=0, Z=0, color=None, name="Point", point_size=5)
  • Creates a Point object in the specified X, Y and Z coordinates, with units in millimeters. If no coordinates are given the point is created at the origin (0,0,0).
    • If X is a point defined by a FreeCAD.Vector, it is used.
  • color is a tuple (R, G, B) that indicates the color of the point in the RGB scale; each value in the tuple should be in the range from 0 to 1.
  • name is the name of the object.
  • point_size is the size of the object in pixels, if the graphical user interface is loaded.

Example:

import random, FreeCAD, Draft

Point1 = Draft.makePoint(1600, 1400, 0)

p2 = FreeCAD.Vector(-3200, 1800, 0)
Point2 = Draft.makePoint(p2, color=(0.5, 0.3, 0.6), point_size=10)

# Make a loop and create ten points with random coordinates that extend
# from -L to L on both X and Y. Also choose a random color and size.

# Change value to define the area covered by the points
L = 1000
centered = FreeCAD.Placement(FreeCAD.Vector(-L,-L,0), FreeCAD.Rotation())
Rectangle = Draft.makeRectangle(2*L, 2*L, placement=centered)

for i in range(10):
    x = 2*L*random.random() - L
    y = 2*L*random.random() - L
    z = 0
    r = random.random()
    g = random.random()
    b = random.random()
    size = 15*random.random() + 5
    Draft.makePoint(x, y, z, color=(r, g, b), point_size=size)